IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfAttachmentDelete')
	BEGIN
		PRINT 'Dropping Procedure adfAttachmentDelete'
		DROP  Procedure  adfAttachmentDelete
	END

GO

PRINT 'Creating Procedure adfAttachmentDelete'
GO
/******************************************************************************
**		File: 
**		Name: adfAttachmentDelete
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfAttachmentDelete
	@ID TIdentifier
AS
	SET NOCOUNT ON

	DELETE [Attachment] WHERE [ID] = @ID
	
	RETURN 0
GO

GRANT EXEC ON adfAttachmentDelete TO PUBLIC
GO
