IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfBankAccountList')
	BEGIN
		PRINT 'Dropping Procedure adfBankAccountList'
		DROP  Procedure  adfBankAccountList
	END

GO

PRINT 'Creating Procedure adfBankAccountList'
GO
/******************************************************************************
**		File: 
**		Name: adfBankAccountList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfBankAccountList
AS
	SET NOCOUNT ON
		
	SELECT
		[ID],
		[FileAs] as [Name],
		[CompanyID],
		[BankCode],
		[Account],
		[CurrencyCode],
		[State]
	FROM
		[BankAccount]
	
	RETURN 0
GO

GRANT EXEC ON adfBankAccountList TO PUBLIC
GO
