IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfClassDelete')
	BEGIN
		PRINT 'Dropping Procedure adfClassDelete'
		DROP  Procedure  adfClassDelete
	END

GO

PRINT 'Creating Procedure adfClassDelete'
GO
/******************************************************************************
**		File: 
**		Name: adfClassDelete
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfClassDelete
	@Class TClass
AS
	SET NOCOUNT ON

	DELETE [Class] WHERE [Class].[Class] = @Class
	IF @@ERROR != 0
	BEGIN
		RETURN 1
	END
	
	RETURN 0
GO

GRANT EXEC ON adfClassDelete TO PUBLIC
GO
