IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetUserID]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetUserID'
		DROP FUNCTION [dbo].[adfGetUserID]
	END

GO

PRINT 'Creating function adfGetUserID'
GO
/******************************************************************************
**		File: 
**		Name: adfGetUserID
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetUserID
	(@username TSysname)
RETURNS INT
AS
BEGIN
	DECLARE @ID INT
	
	SELECT 
		@ID = [User].[ID]
	FROM 
		[User] INNER JOIN [Trustee] ON ([User].[ID] = [Trustee].[ID])
	WHERE
		[Trustee].[Name] = @username
		
	RETURN @ID
END
GO

