IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfTransitionTemplateDelete')
	BEGIN
		PRINT 'Dropping Procedure adfTransitionTemplateDelete'
		DROP  Procedure  adfTransitionTemplateDelete
	END

GO

PRINT 'Creating Procedure adfTransitionTemplateDelete'
GO
/******************************************************************************
**		File: 
**		Name: adfTransitionTemplateDelete
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfTransitionTemplateDelete
	@ID TIdentifier
AS
	SET NOCOUNT ON
	
	DELETE [TransitionTemplate] WHERE [ID] = @ID
	
	RETURN 0
GO

GRANT EXEC ON adfTransitionTemplateDelete TO PUBLIC
GO
