DECLARE
	@true bit,
	@false bit
SELECT @true = 1, @false = 0

EXEC adfParameterSet 'PaymentCurrencyPoint', 'CommonBusiness', @true
EXEC adfParameterSet 'ApplyVAT', 'CommonBusiness', @true 
EXEC adfParameterSet 'VATRate', 'CommonBusiness', 0.18 
EXEC adfParameterSet 'BaseCurrency', 'CommonBusiness', 'RUB'
EXEC adfParameterSet 'NationalCurrency', 'CommonBusiness', 'RUB'
EXEC adfParameterSet 'DefaultProjectType', 'Pjm5', 1
EXEC adfParameterSet 'StartTaskAfterCreate', 'Pjm5', @false
EXEC adfParameterSet 'RoundInterval', 'Pjm5', 3
EXEC adfParameterSet 'RoundingMode', 'Pjm5', 2
EXEC adfParameterSet 'AdvancedTimeExpensesForm', 'Pjm5', @false
EXEC adfParameterSet 'EnabledTasks', 'Pjm6', @false
EXEC adfParameterSet 'EnabledServiceRequest', 'Pjm6', @false
EXEC adfParameterSet 'ExportFinanceOnce', 'Pjm6', @false
EXEC adfParameterSet 'ActivityTypeIsMandatory', 'Pjm5', @false
EXEC adfParameterSet 'TimeEntrySendForApproving', 'Pjm5', @true
EXEC adfParameterSet 'TimeEntryApprove', 'Pjm5', @true
EXEC adfParameterSet 'ExpenseCodeIsMandatory', 'Pjm5', @false
EXEC adfParameterSet 'ExpenseSendForApproving', 'Pjm5', @true
EXEC adfParameterSet 'ExpenseEntryApprove', 'Pjm5', @true
EXEC adfParameterSet 'EmployeeExpenceCode', 'Pjm5', 'HR'
EXEC adfParameterSet 'EmployeeExpenceName', 'Pjm5', '  '
EXEC adfParameterSet 'UsePhoneCalls', 'Pjm5', @false
EXEC adfParameterSet 'InvoicingPeriod', 'Pjm5', 5
EXEC adfParameterSet 'InvoiceExpirationPeriod', 'Pjm5', 5
EXEC adfParameterSet 'SendReminder', 'Pjm5', @false
EXEC adfParameterSet 'UseStatement', 'Pjm5', @false
EXEC adfParameterSet 'DefaultPaymentType', 'Pjm5', ' '
EXEC adfParameterSet 'CountryOfOrigin', 'Pjm5', ''
EXEC adfParameterSet 'WorkTimeStart1', 'Pjm5', 600
EXEC adfParameterSet 'WorkTimeEnd1', 'Pjm5', 780
EXEC adfParameterSet 'WorkTimeStart2', 'Pjm5', 840
EXEC adfParameterSet 'WorkTimeEnd2', 'Pjm5', 1140
EXEC adfParameterSet 'WorkTime', 'Pjm5', 480
EXEC adfParameterSet 'WorkDaysOfWeek', 'Pjm5', 62
EXEC adfParameterSet 'StatementReturnPeriod', 'Pjm5', 5
EXEC adfParameterSet 'DefaultMoneyScale', 'CommonBusiness', 2

EXEC adfParameterSet 'DocumentLineSeparator1', 'Pjm5', '.'
EXEC adfParameterSet 'DocumentLineSeparator2', 'Pjm5', '.'
EXEC adfParameterSet 'DocumentLineSeparator3', 'Pjm5', '.'

EXEC adfParameterSet 'DocumentLineContainsTask', 'Pjm5', @false
EXEC adfParameterSet 'DocumentLineContainsService', 'Pjm5', @false
EXEC adfParameterSet 'DocumentLineContainsServiceRequest', 'Pjm5', @false
EXEC adfParameterSet 'DocumentLineContainsIssue', 'Pjm5', @false
EXEC adfParameterSet 'DocumentLineContainsTaskRequest', 'Pjm5', @false
EXEC adfParameterSet 'DocumentLineContainsFileAs', 'Pjm5', @true
EXEC adfParameterSet 'DocumentLineContainsComments', 'Pjm5', @false

EXEC adfParameterSet 'IssueSeparator', 'Pjm5', '.'
EXEC adfParameterSet 'TaskRequestSeparator', 'Pjm5', '.'
EXEC adfParameterSet 'ServiceRequestSeparator', 'Pjm5', '.'
EXEC adfParameterSet 'IssueSeparator', 'Pjm5', '.'
EXEC adfParameterSet 'TaskRequestSeparator', 'Pjm5', '.'
EXEC adfParameterSet 'ServiceRequestSeparator', 'Pjm5', '.'

EXEC adfParameterSet 'StatementPrintCurrency', 'Pjm5', 0
EXEC adfParameterSet 'InvoicePrintCurrency', 'Pjm5', 0
EXEC adfParameterSet 'FacturePrintCurrency', 'Pjm5', 0
EXEC adfParameterSet 'InvoiceExpirationPeriodType', 'Pjm5', 1

EXEC adfParameterSet 'GroupCalculationLines', 'Pjm5', @true
EXEC adfParameterSet 'ShowActivityTypes', 'Pjm5', @false
EXEC adfParameterSet 'ShowPrice', 'Pjm5', @false
EXEC adfParameterSet 'GroupByProjects', 'Pjm5', @true
EXEC adfParameterSet 'UseNumeration', 'Pjm7', @false
EXEC adfParameterSet 'WordTemplatesDirectory', 'Pjm5', null
EXEC adfParameterSet 'GroupingAdvanceCalculations', 'Pjm6', 2
EXEC adfParameterSet 'StatementCurrencyPoint', 'CommonBusiness', 1

EXEC adfParameterSet 'UncheckTimeEntrySentToApproval', 'Pjm6', @false 

EXEC adfParameterSet 'TimeEntryApproveForDocumentInFinalState', 'Pjm6', @true

EXEC adfParameterSet 'UseBudgetPlanning', 'Pjm6', @false
EXEC adfParameterSet 'UseSubProjects', 'Pjm6', @false

EXEC adfParameterSet 'MasterState', 'StartupMaster', 1
EXEC adfParameterSet 'ExchangeContactSyncMode', 'Pjm6', 0
EXEC adfParameterSet 'ExchangeSyncContacts', 'Pjm6', @false
EXEC adfParameterSet 'ExchangeSyncCalendars', 'Pjm6', @false
EXEC adfParameterSet 'ExchangeSyncMeetingRequests', 'Pjm6', @false
EXEC adfParameterSet 'ProjectLanguageCode', 'Pjm6', 'ru'
EXEC adfParameterSet 'TimeEntryColorSource', 'Pjm7', 2
EXEC adfParameterSet 'WordTemplateLanguage', 'Pjm7', 'ru'
EXEC adfParameterSet 'ShowFacture', 'Pjm7', @false

EXEC adfParameterSet 'PlanProfitability', 'Pjm7', 0.25
EXEC adfParameterSet 'PlanPurchases', 'Pjm7', @false
EXEC adfParameterSet 'InsertDefaultPlanningValues', 'Pjm7', @true

EXEC adfParameterSet 'BillableHoursStyle', 'Pjm7', 0

EXEC adfParameterSet 'ExchangeBanned', 'Pjm6', @true
EXEC adfParameterSet 'BillableHoursFieldIsEditable', 'Pjm7', @true




 
