﻿if exists (select * from dbo.sysobjects where id = object_id(N'[exch].[ContactLinkBrowse]') and objectproperty(id, N'IsProcedure') = 1)
begin
	print 'Dropping procedure ContactLinkBrowse'
	drop procedure [exch].[ContactLinkBrowse]
end
go

print 'Creating procedure ContactLinkBrowse'
go

create procedure [exch].[ContactLinkBrowse] @UserID int with execute as 'pjmexchangesync'
as
begin
	set nocount on;

	declare @class TClass;

	set @class = dbo.adfGetClassByName('Adf.Employee');

	select
		[DocumentID],
		[ExchangeID],
		[Data],
		[SyncTime]
	from	
		[exch].[ExchangeLink]
	where
		[UserID] = @UserID
	and
		[DocumentClass] = @class;

	return 0;
end

GO

grant execute on [exch].[ContactLinkBrowse] to [projectmateservice];
go
