IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm5GetCountryByCurrency]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm5GetCountryByCurrency'
		DROP FUNCTION [dbo].[fnPjm5GetCountryByCurrency]
	END

GO

PRINT 'Creating function fnPjm5GetCountryByCurrency'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm5GetCountryByCurrency
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**      23/06/2011  YVI             Gets country by currency (for setting correct 
**                                  default address corresponding to national currency)
*******************************************************************************/
CREATE FUNCTION fnPjm5GetCountryByCurrency(@CurrencyCode TCode3)
RETURNS TNotes
BEGIN
	DECLARE @Result TNotes
	
	SELECT 
		@Result = Comments 
	FROM 
		[Currency] 
	WHERE 
		Code = @CurrencyCode
	
	RETURN @Result
END
GO

