IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm6GetProjectManHour]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm6GetProjectManHour'
		DROP FUNCTION [dbo].[fnPjm6GetProjectManHour]
	END

GO

PRINT 'Creating function fnPjm6GetProjectManHour'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm6GetProjectManHour
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION fnPjm6GetProjectManHour (@ProjectID TIdentifier)
RETURNS TCount
AS
BEGIN
	DECLARE @result TCount
	SELECT 
		@result = SUM([TimeEntry].[Duration])
	FROM 
		[TimeEntry]
		INNER JOIN [EntryAmount]
			ON [TimeEntry].[ID] = [EntryAmount].[ID]
	WHERE
		[TimeEntry].[ProjectID] = @ProjectID AND
		[TimeEntry].[State] IN (2,3,6)
	
	RETURN ISNULL(@result, 0)
END
GO

GRANT EXECUTE ON dbo.fnPjm6GetProjectManHour TO PUBLIC
GO


  