IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnsiteprocEscapeValue]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnsiteprocEscapeValue'
		DROP FUNCTION [dbo].[fnsiteprocEscapeValue]
	END

GO

PRINT 'Creating function fnsiteprocEscapeValue'
GO
/******************************************************************************
**		File: 
**		Name: fnsiteprocEscapeValue
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION fnsiteprocEscapeValue(@string TName)
RETURNS TName
AS
BEGIN
	Declare @stringWitoutWildcards TName

	SET @stringWitoutWildcards = @string	
	SET @stringWitoutWildcards = Replace(@stringWitoutWildcards, '[', '[[]')
	SET @stringWitoutWildcards = Replace(@stringWitoutWildcards, '_', '[_]')
	SET @stringWitoutWildcards = Replace(@stringWitoutWildcards, '%', '[%]')
	SET @stringWitoutWildcards = Replace(@stringWitoutWildcards, '''', '''''')
	
	RETURN(@stringWitoutWildcards)
END
GO

GRANT EXEC ON fnsiteprocEscapeValue TO PUBLIC
GO