
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm6MsProjectGetFullName]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm6MsProjectGetFullName'
		DROP PROCEDURE [dbo].[pjm6MsProjectGetFullName]
	END
GO

PRINT 'Creating procedure pjm6MsProjectGetFullName'
GO


CREATE PROCEDURE [pjm6MsProjectGetFullName] 
				@ID TIdentifier
AS
	
	SET NOCOUNT ON


SELECT
	[FullName]
FROM [MsProject]
		INNER JOIN [Project]
			ON [MsProject].[ID] = [Project].[MsProjectID]
		
WHERE
	[Project].[ID] = @ID AND
	[MsProject].[DocumentItemID] IS NULL
	
		
RETURN 0
GO

GRANT EXECUTE ON [pjm6MsProjectGetFullName] TO PUBLIC
GO     