IF EXISTS (SELECT * FROM sysobjects WHERE type = 'TR' AND name = 'pjm6trSubprojecttask')
	BEGIN
		PRINT 'Dropping Trigger pjm6trSubprojecttask'
		DROP  Trigger pjm6trSubprojecttask
	END
--/******************************************************************************
--**		File: 
--**		Name: pjm6trSubprojecttask
--**		Desc: 
--**
--**		This template can be customized:
--**              
--**
--**		Auth: 
--**		Date: 
--*******************************************************************************
--**		Change History
--*******************************************************************************
--**		Date:		Author:				Description:
--**		--------		--------				-------------------------------
--**    
--*******************************************************************************/
--PRINT 'Creating Trigger pjm6trSubprojecttask'
--CREATE Trigger pjm6trSubprojecttask 
--ON [Task] FOR UPDATE, INSERT
--AS
--BEGIN
--	DECLARE @ID TIdentifier
--	;
--	WITH Subprojects ([ProjectID], [SubprojectID]) AS 
--	(
--		SELECT
--			[Task].[ProjectID],
--			[Task].[SubprojectID]
--		FROM 
--			inserted
--				INNER JOIN [Task]
--					ON inserted.[ProjectID] = [Task].[SubprojectID]
--		UNION ALL
--		(SELECT 
--			[Parent]. [ProjectID],
--			[Parent].[SubprojectID]
--		FROM
--			[Task] AS [Parent]
--				INNER JOIN [Subprojects]
--					ON [Subprojects].[ProjectID] = [Parent].[SubprojectID]
--		EXCEPT
--		SELECT 
--			[ProjectID],
--			[SubprojectID]
--		FROM 
--			inserted)
--	)
--	SELECT
--		@ID = [Subprojects].[ProjectID]
--	FROM 
--		[Subprojects]
--			INNER JOIN [inserted]
--				ON [inserted].[SubprojectID] = [Subprojects].[SubprojectID]
--
--	IF (@ID IS NOT NULL)
--	BEGIN
--		RAISERROR('#subprojectinserterror', 18, -1)
--		ROLLBACK TRANSACTION
--		RETURN
--	END
--END
--
