 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'vwPhone')
	BEGIN
		PRINT 'Dropping View vwPhone'
		DROP  View vwPhone
	END
GO

/******************************************************************************
**		File: 
**		Name: vwPhone
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating View vwPhone'
GO

SET QUOTED_IDENTIFIER ON 
GO

CREATE View vwPhone
as
SELECT
	BusinessCardClass, 
	BusinessCardID, 
	[1] as [#PhoneType#1], 
	[2] as [#PhoneType#2], 
	[3] as [#PhoneType#3], 
	[4] as [#PhoneType#4],
	[5] as [#PhoneType#5],
	[6] as [#PhoneType#6],
	[7] as [#PhoneType#7],
	[8] as [#PhoneType#8],
	[9] as [#PhoneType#9],
	[10] as [#PhoneType#10],
	[11] as [#PhoneType#11]
FROM
	(SELECT 
		BusinessCardClass, 
		BusinessCardID, 
		PhoneTypeID, 
		Phone
	FROM [Phone]) p
PIVOT
	(
		MIN([Phone])
		FOR [PhoneTypeID] IN ([1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11])
	) as pvt
GO

