IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfAttachmentBrowse')
	BEGIN
		PRINT 'Dropping Procedure adfAttachmentBrowse'
		DROP  Procedure  adfAttachmentBrowse
	END

GO

PRINT 'Creating Procedure adfAttachmentBrowse'
GO
/******************************************************************************
**		File: 
**		Name: adfAttachmentBrowse
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfAttachmentBrowse
	@Class TClass,
	@ID TIdentifier
AS
	SET NOCOUNT ON
	
	SELECT
		[ID],
		[Name],
		[Created],
		[CreatedBy],
		[LinkDocumentClass],
		[LinkDocumentID],
		[AttachmentTypeID]
	FROM
		[Attachment]
	WHERE
		[DocumentClass] = @Class AND [DocumentID] = @ID
	
	RETURN 0
GO

GRANT EXEC ON adfAttachmentBrowse TO PUBLIC
GO
