IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfCompanyCategoryList')
	BEGIN
		PRINT 'Dropping Procedure adfCompanyCategoryList'
		DROP  Procedure  adfCompanyCategoryList
	END

GO

PRINT 'Creating Procedure adfCompanyCategoryList'
GO
/******************************************************************************
**		File: 
**		Name: adfCompanyCategoryList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfCompanyCategoryList
AS
	SET NOCOUNT ON
	
	DECLARE @CompanyClass int
	SET @CompanyClass = dbo.adfGetClassbyName('Adf.Company')
	
	
	SELECT
		[ID],
		[State],
		[FileAs] AS [Name],
		[Flag]
	FROM
		[Category]
	WHERE
		[DocumentClass] = @CompanyClass
	
	RETURN 0
GO

GRANT EXEC ON adfCompanyCategoryList TO PUBLIC
GO
