IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfCompanySizeList')
	BEGIN
		PRINT 'Dropping Procedure adfCompanySizeList'
		DROP  Procedure  adfCompanySizeList
	END

GO

PRINT 'Creating Procedure adfCompanySizeList'
GO
/******************************************************************************
**		File: 
**		Name: adfCompanySizeList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfCompanySizeList
AS
	SET NOCOUNT ON
	
	SELECT
		[ID],
		[Code],
		[FileAs] as [Name],
		[State],
		[From]
	FROM
		[CompanySize]
	
	RETURN 0
GO

GRANT EXEC ON adfCompanySizeList TO PUBLIC
GO
