IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfServiceLevelList')
	BEGIN
		PRINT 'Dropping Procedure adfServiceLevelList'
		DROP  Procedure  adfServiceLevelList
	END

GO

PRINT 'Creating Procedure adfServiceLevelList'
GO
/******************************************************************************
**		File: 
**		Name: adfServiceLevelList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfServiceLevelList
AS
	SET NOCOUNT ON
		
	SELECT
		[ID],
		[Code],
		[FileAs] as [Name],
		[State]
	FROM
		[ServiceLevel]
	
	RETURN 0
GO

GRANT EXEC ON adfServiceLevelList TO PUBLIC
GO
