IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetStateName]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetStateName'
		DROP FUNCTION [dbo].[adfGetStateName]
	END

GO

PRINT 'Creating function adfGetStateName'
GO
/******************************************************************************
**		File: 
**		Name: adfGetStateName
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetStateName
	(@Class TClass, @State TState)
RETURNS TName
AS
BEGIN
	DECLARE @Name TName
	SELECT @Name = [Name] FROM [State] WHERE [Class]=@Class AND [State]=@State
	RETURN @Name
END
GO

GRANT EXEC ON adfGetStateName TO PUBLIC
GO
