IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'adfvwState')
	BEGIN
		PRINT 'Dropping View adfvwState'
		DROP  View adfvwState
	END
GO

/******************************************************************************
**		File: 
**		Name: adfvwState
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating View adfvwState'
GO
CREATE VIEW adfvwState
AS
	SELECT
		[State].[Class], 
		[State].[State], 
		ISNULL([StateGlobal].[Name], [State].[Name]) as [Name], 
		ISNULL([StateGlobal].[Comments], [State].[Comments]) as [Comments], 
		ISNULL([StateGlobal].[UIText], [State].[UIText]) as [UIText], 
		[State].[Image]
	FROM
		[State] LEFT OUTER JOIN [StateGlobal]
			ON ([State].[Class]=[StateGlobal].[Class] AND [State].[State] = [StateGlobal].[State] AND
				[StateGlobal].[Language] = dbo.adfGetLanguage())

GO
   