﻿--Добавление полей, котораe будет связывать поручения с назначениями в проекте

--Ответственный
IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'AssignmentID' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='TaskRequest')
ALTER TABLE [TaskRequest]
ADD [AssignmentID] TIdentifier null default null
GO

--Контроллер
IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'SupervisorAssignmentID' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='TaskRequest')
ALTER TABLE [TaskRequest]
ADD [SupervisorAssignmentID] TIdentifier null default null
GO

--Исполнители
IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'AssignmentID' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='TaskRequestAssignment')
ALTER TABLE [TaskRequestAssignment]
ADD [AssignmentID] TIdentifier null default null
GO

--Изменение первичного ключа TaskRequestAssignmentPK
IF 'EmployeeID' IN (
					SELECT [COLUMN_NAME] FROM INFORMATION_SCHEMA.KEY_COLUMN_USAGE
					INNER JOIN sys.key_constraints AS [Constraints]
						ON [Constraints].[Name] = [CONSTRAINT_NAME]
					WHERE [TABLE_NAME] = 'TaskRequestAssignment'
					)
BEGIN
	ALTER TABLE [TaskRequestAssignment]
	DROP CONSTRAINT TaskRequestAssignmentPK
	ALTER TABLE [TaskRequestAssignment]
	ALTER COLUMN [EmployeeID] TIdentifier null
END
GO