IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm5GetCorrectPhone]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm5GetCorrectPhone'
		DROP FUNCTION [dbo].[fnPjm5GetCorrectPhone]
	END

GO

PRINT 'Creating function fnPjm5GetCorrectPhone'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm5GetCorrectPhone
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		03.03.10	PAM				      
**		20.03.12	PAM				 
*******************************************************************************/
CREATE FUNCTION fnPjm5GetCorrectPhone(@Phone TPhone)
RETURNS TPhone
AS
BEGIN

	WHILE @Phone LIKE '%[^0-9]%' 
		SET @Phone = STUFF(@Phone, PATINDEX('%[^0-9]%', @Phone), 1, '');
	RETURN(@Phone)
END
GO

GRANT EXEC ON fnPjm5GetCorrectPhone TO PUBLIC
GO