IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm6MsProjectGetID]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm6MsProjectGetID'
		DROP PROCEDURE [dbo].[pjm6MsProjectGetID]
	END
GO

PRINT 'Creating procedure pjm6MsProjectGetID'
GO


CREATE PROCEDURE [pjm6MsProjectGetID] 
				@Guid TGuid,
				@Name TName,
				@FileCreateDate TDate
AS
	
	SET NOCOUNT ON


SELECT
	[Project].[ID]
FROM 
	[Project]
		INNER JOIN [MsProject]
		ON [Project].[MsProjectID] = [MsProject].[ID]
WHERE
	[MsProject].[Guid] = @Guid AND
	[MsProject].[Name] = @Name AND
	[MsProject].[FileCreateDate] = @FileCreateDate --CAST(CONVERT(varchar(19), @FileCreateDate, 120) as DateTime)
	
		
	
		
RETURN 0
GO

GRANT EXECUTE ON [pjm6MsProjectGetID] TO PUBLIC
GO
