 IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm5vwInvoicePayment]') and OBJECTPROPERTY(id, N'IsView') = 1)
	BEGIN
		PRINT 'Dropping view pjm5vwInvoicePayment'
		DROP VIEW [dbo].[pjm5vwInvoicePayment]
	END
GO

PRINT 'Creating view pjm5vwInvoicePayment'
GO

CREATE VIEW [pjm5vwInvoicePayment]
AS
	SELECT
		[InvoiceID],
		SUM([Value]) AS [Value],
		SUM([VAT]) AS [VAT],
		SUM([PaymentValue]) AS [PaymentValue],
		SUM([PaymentVAT]) AS [PaymentVAT]
	FROM
		[PaymentDetail]
	GROUP BY
		[InvoiceID]
		
GO
   